Defines | Typedefs | Enumerations | Functions

# data_flash.h File Reference

this file contains all the definitions of the battery pack More...

Go to the source code of this file.

## Defines
#define | NUMBER_OF_BQ_DEVICES 3
#define | NUMBER_OF_CELLS 18
#define | MAX_CELLS_NUMBER_IN_BQ 6
#define | CELL_BALANCING_EN 1
#define | ONE_MINUTE 60
#define | dCOV_THRESHOLD 3700
#define | dCOV_RECOVERY_THRESHOLD 3600
#define | dCOV_TIME 5
#define | dCUV_THRESHOLD 2000
#define | dCUV_RECOVERY_THRESHOLD 2200
#define | dCUV_TIME 5
#define | dPACK_OVER_TEMP1 50
#define | dPACK_OT_TIME1 2000
#define | dPACK_OVER_TEMP2 50
#define | dPACK_OT_TIME2 2000
#define | dPACK_END_OF_CHARGE_VOLTAGE (DWORD)dCOV_THRESHOLD*NUMBER_OF_CELLS
#define | dCC_CV_QUAL_TIME 20
#define | dPACK_END_OF_DISCHARGE_VOLTAGE (DWORD)dCUV_THRESHOLD*NUMBER_OF_CELLS
#define | dEND_OF_DISCHARGE_QUAL_TIME 20
#define | dCHARGE_CURRENT 1100
#define | dCHARGE_TAPER_CURRENT 300
#define | dCHARGE_TAPER_TIME (DWORD)240*ONE_MINUTE
#define | dMAX_CHARGE_TIME (DWORD)200*ONE_MINUTE
#define | dFULL_DISCHARGE_CLEAR_VOLTS dPACK_END_OF_DISCHARGE_VOLTAGE
#define | dFULL_CHARGE_CLEAR_VOLTS dPACK_END_OF_CHARGE_VOLTAGE
#define | dDELTA_CHARGE_V 300
#define | dCHARGE_DISCHARGE_TIME (DWORD)5*ONE_MINUTE
#define | dDELTA_DISCHARGE_V 200
#define | dSOV_THRESHOLD 4200
#define | dSOV_RECOVERY_THRESHOLD 3800
#define | dSOV_TIME 3000
#define | dCELL_IMBALANCE_FAIL_THRESHOLD 500
#define | dCELL_IMBALANCE_FAIL_TIME (DWORD)120*ONE_MINUTE
#define | dBALANCE_TIME (DWORD)1*ONE_MINUTE
#define | dBALANCE_VOLTS_THRESHOLD 50
#define | dMIN_BALANCE_VOLTS dCUV_RECOVERY_THRESHOLD
#define | dMAX_BALANCE_TIME (DWORD)120*ONE_MINUTE
## Typedefs
typedef enum PARAM_ID | param_id_t
| Global defines .
## Enumerations
enum | PARAM_ID { COV_THRESHOLD, COV_RECOVERY_THRESHOLD, COV_TIME, CUV_THRESHOLD, CUV_RECOVERY_THRESHOLD, CUV_TIME, PACK_OVER_TEMP1, PACK_OT_TIME1, PACK_OVER_TEMP2, PACK_OT_TIME2, PACK_END_OF_CHARGE_VOLTAGE, CC_CV_QUAL_TIME, PACK_END_OF_DISCHARGE_VOLTAGE, END_OF_DISCHARGE_QUAL_TIME, CHARGE_CURRENT, CHARGE_TAPER_CURRENT, CHARGE_TAPER_TIME, MAX_CHARGE_TIME, FULL_DISCHARGE_CLEAR_VOLTS, FULL_CHARGE_CLEAR_VOLTS, DELTA_CHARGE_V, CHARGE_DISCHARGE_TIME, DELTA_DISCHARGE_V, SOV_THRESHOLD, SOV_RECOVERY_THRESHOLD, SOV_TIME, CELL_IMBALANCE_FAIL_THRESHOLD, CELL_IMBALANCE_FAIL_TIME, BALANCE_TIME, BALANCE_VOLTS_THRESHOLD, MIN_BALANCE_VOLTS, MAX_BALANCE_TIME }
| Global defines .
## Functions
unsigned short | get_u16_value (param_id_t param_id)
| Global functions declaration .
unsigned long | get_u32_value (param_id_t param_id)
| Function Name: get_u32_value.

## Detailed Description

this file contains all the definitions of the battery pack

Author:
  Daniel Torres - Texas Instruments, Inc

Date:
  November 2010

Version:
  1.0 Initial version

Note:
  Built with IAR for MSP430 Version: 5.10

Definition in file data_flash.h.

## Function Documentation

unsigned short get_u16_value | ( | param_id_t | param_id | ) |

Global functions declaration .

Global functions declaration .

Description : Reads the flash memory and returns the value of the parameter

Parameters:

  | parameters | : battery pack parameter to be read

Returns:
  Value : value of the specific battery parameter

Definition at line 134 of file data_flash.c.

unsigned long get_u32_value | ( | param_id_t | param_id | ) |

Function Name: get_u32_value.

Description : Reads the flash memory and returns the value of the parameter

Parameters:

  | parameters | : battery pack parameter to be read

Returns:
  Value : value of the specific battery parameter

Definition at line 148 of file data_flash.c.